> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ariacompute.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Aria Compute ROUTER Users (Admin)

> Admin endpoints to disable a user account or update a user's email on Aria Compute ROUTER. Both require admin privileges.

Admin users can manage other accounts through two dedicated endpoints. You can disable or enable an account, or update the email address on a user's behalf. Both endpoints require an admin role.

## Disable or Enable a User

Toggle the disabled status of a user account.

### Endpoint

```http theme={null}
PUT /v1/router/users/{id}/disabled
```

### Authentication

Admin role required. Send the session cookie or include `Authorization: Bearer <api-key>`.

### Path Parameters

<ParamField path="id" type="string" required>
  Unique identifier of the user to update.
</ParamField>

### Request Body

<ParamField body="disabled" type="boolean" required>
  Set to `true` to disable the account, or `false` to enable it.
</ParamField>

### Response

A successful update returns `200 OK` with no response body.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT https://router.example.com:8080/v1/router/users/user-abc123/disabled \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <admin-api-key>" \
    -d '{"disabled":true}'
  ```
</RequestExample>

<ResponseExample>
  ```text 200 theme={null}
  (No response body)
  ```
</ResponseExample>

## Update a User's Email

Change the email address associated with another user account.

### Endpoint

```http theme={null}
PUT /v1/router/users/{id}/email
```

### Authentication

Admin role required. Send the session cookie or include `Authorization: Bearer <api-key>`.

### Path Parameters

<ParamField path="id" type="string" required>
  Unique identifier of the user to update.
</ParamField>

### Request Body

<ParamField body="email" type="string" required>
  New email address to set for the user.
</ParamField>

### Response

A successful update returns `200 OK` with no response body.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT https://router.example.com:8080/v1/router/users/user-abc123/email \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <admin-api-key>" \
    -d '{"email":"updated@example.com"}'
  ```
</RequestExample>

<ResponseExample>
  ```text 200 theme={null}
  (No response body)
  ```
</ResponseExample>

Admin users can manage other accounts through two dedicated endpoints. You can disable or enable an account, or update the email address on a user's behalf. Both endpoints require an admin role.

## Disable or Enable a User

Toggle the disabled status of a user account.

### Endpoint

```http theme={null}
PUT /v1/router/users/{id}/disabled
```

### Authentication

Admin role required. Send the session cookie or include `Authorization: Bearer <api-key>`.

### Path Parameters

<ParamField path="id" type="string" required>
  Unique identifier of the user to update.
</ParamField>

### Request Body

<ParamField body="disabled" type="boolean" required>
  Set to `true` to disable the account, or `false` to enable it.
</ParamField>

### Response

A successful update returns `200 OK` with no response body.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT https://router.example.com:8080/v1/router/users/user-abc123/disabled \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <admin-api-key>" \
    -d '{"disabled":true}'
  ```
</RequestExample>

<ResponseExample>
  ```text 200 theme={null}
  (No response body)
  ```
</ResponseExample>

## Update a User's Email

Change the email address associated with another user account.

### Endpoint

```http theme={null}
PUT /v1/router/users/{id}/email
```

### Authentication

Admin role required. Send the session cookie or include `Authorization: Bearer <api-key>`.

### Path Parameters

<ParamField path="id" type="string" required>
  Unique identifier of the user to update.
</ParamField>

### Request Body

<ParamField body="email" type="string" required>
  New email address to set for the user.
</ParamField>

### Response

A successful update returns `200 OK` with no response body.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PUT https://router.example.com:8080/v1/router/users/user-abc123/email \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <admin-api-key>" \
    -d '{"email":"updated@example.com"}'
  ```
</RequestExample>

<ResponseExample>
  ```text 200 theme={null}
  (No response body)
  ```
</ResponseExample>


## Related topics

- [List Users on Aria Compute ROUTER](/api-reference/router/users/list.md)
- [Update Aria Compute ROUTER Email Address](/api-reference/router/auth/email.md)
- [Get Current Aria Compute ROUTER User](/api-reference/router/auth/me.md)
- [Change Aria Compute ROUTER Password](/api-reference/router/auth/password.md)
- [Router Providers List and Upsert API](/api-reference/router/management/providers.md)
